Index: lib/Makefile
===================================================================
RCS file: /home/ncvs/src/lib/Makefile,v
retrieving revision 1.211
diff -u -r1.211 Makefile
--- lib/Makefile	2 Feb 2006 10:05:39 -0000	1.211
+++ lib/Makefile	8 Mar 2006 00:02:43 -0000
@@ -25,7 +25,7 @@
 SUBDIR=	${_csu} libbsm libcom_err libcrypt libkvm msun libmd libncurses \
 	libnetgraph libradius librpcsvc libsbuf libtacplus libutil \
 	${_libypclnt} libalias libarchive ${_libatm} \
-	libbegemot ${_libbluetooth} libbsnmp libbz2 libc ${_libc_r} \
+	libbegemot ${_libbluetooth} ${_libbsnmp} libbz2 libc ${_libc_r} \
 	libcalendar libcam libcompat libdevinfo libdevstat libdisk \
 	libedit libexpat libfetch libform libftpio libgeom ${_libgpib} \
 	libgssapi ${_libio} libipsec \
@@ -57,6 +57,10 @@
 _libsdp=	libsdp
 .endif
 
+.if !defined(NO_BSNMP)
+_libbsnmp=	libbsnmp
+.endif
+
 .if ${MACHINE_ARCH} == "i386"
 _libncp=	libncp
 _libsmb=	libsmb
Index: usr.sbin/Makefile
===================================================================
RCS file: /home/ncvs/src/usr.sbin/Makefile,v
retrieving revision 1.346
diff -u -r1.346 Makefile
--- usr.sbin/Makefile	27 Feb 2006 16:17:25 -0000	1.346
+++ usr.sbin/Makefile	8 Mar 2006 00:03:42 -0000
@@ -22,7 +22,7 @@
 	${_boot0cfg} \
 	${_boot98cfg} \
 	bootparamd \
-	bsnmpd \
+	${_bsnmpd} \
 	${_btxld} \
 	burncd \
 	cdcontrol \
@@ -225,6 +225,10 @@
 _bluetooth=	bluetooth
 .endif
 
+.if !defined(NO_BSNMP)
+_bsnmpd=	bsnmpd
+.endif
+
 .if !defined(NO_CRYPT) && !defined(NO_OPENSSL)
 _keyserv=	keyserv
 .endif

